Rockwell 1756 Incorrect Authorization (CVE-2010-2965)

critical Tenable OT Security Plugin ID 500042

Synopsis

The remote OT asset is affected by a vulnerability.

Description

The WDB target agent debug service in Wind River VxWorks 6.x, 5.x, and earlier, as used on the Rockwell Automation 1756-ENBT series A with firmware 3.2.6 and 3.6.1 and other products, allows remote attackers to read or modify arbitrary memory locations, perform function calls, or manage tasks via requests to UDP port 17185, a related issue to CVE-2005-3804.

This plugin only works with Tenable.ot.
Please visit https://www.tenable.com/products/tenable-ot for more information.

Solution

Refer to the vendor advisory.

See Also

http://www.kb.cert.org/vuls/id/MAPG-86FPQL

http://www.kb.cert.org/vuls/id/MAPG-86EPFA

http://blog.metasploit.com/2010/08/vxworks-vulnerabilities.html

http://www.kb.cert.org/vuls/id/362332

http://www.nessus.org/u?5528aedd

http://www.nessus.org/u?c2b3392b

Plugin Details

Severity: Critical

ID: 500042

Version: 1.5

Type: remote

Family: Tenable.ot

Published: 2/7/2022

Updated: 12/26/2023

Supported Sensors: Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: Critical

Base Score: 10

Temporal Score: 7.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS Score Source: CVE-2010-2965

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:rockwellautomation:1756-enbt%2fa_firmware:3.2.6, cpe:/o:rockwellautomation:1756-enbt%2fa_firmware:3.6.1

Required KB Items: Tenable.ot/Rockwell

Exploit Ease: No known exploits are available

Patch Publication Date: 8/5/2010

Vulnerability Publication Date: 8/5/2010

Reference Information

CVE: CVE-2010-2965

CWE: 863